# Change Log

[![Keep a Changelog](https://img.shields.io/badge/keep%20a-changelog-ef5e39.svg?style=flat-square)](https://keepachangelog.com)
[![Semantic Versioning](https://img.shields.io/badge/semantic-versioning-333333.svg?style=flat-square)](https://semver.org)

All notable changes to this project will be documented in this file.

<a name="1.0.2"></a>

### [1.0.2](https://github.com/stormwarning/import-sort-style-python/compare/v1.0.1...v1.0.2) — 2020-01-23

#### Fixed

- 🐛 Test against the actual RegExp pattern ([#159](https://github.com/stormwarning/import-sort-style-python/issues/159)) [[`5a62d5d`](https://github.com/stormwarning/import-sort-style-python/commit/5a62d5d)] \
  Not the whole JSON object 🙄

<a name="1.0.1"></a>

### [1.0.1](https://github.com/stormwarning/import-sort-style-python/compare/v1.0.0...v1.0.1) — 2020-01-23

#### Fixed

- 🐛 Allow RegExp escape characters in options ([#158](https://github.com/stormwarning/import-sort-style-python/issues/158)) [[`1c4c2bc`](https://github.com/stormwarning/import-sort-style-python/commit/1c4c2bc)]

<a name="1.0.0"></a>

## [1.0.0](https://github.com/stormwarning/import-sort-style-python/compare/v0.2.5...v1.0.0) — 2020-01-22

#### Added

- 🎁 Allow RegEx patterns in options ([#155](https://github.com/stormwarning/import-sort-style-python/issues/155)) [[`f325c04`](https://github.com/stormwarning/import-sort-style-python/commit/f325c04)] \
  Strings in `knownFramework` and `knownFirstparty` option
  arrays can now include regular expression patterns.


### BREAKING CHANGES

- Options are now matched against only the first part of
the module path (i.e. up to the first `/`). This means 
something like `myapp` in `knownFirstparty` will match
`'myapp/subdir/foo'` but not `'myapp-addon/lib'`, where
previously it would have.

<a name="0.2.5"></a>

### [0.2.5](https://github.com/stormwarning/import-sort-style-python/compare/v0.2.4...v0.2.5) — 2020-01-21

#### Changed

- 📦 Upgrade devDependencies ([#153](https://github.com/stormwarning/import-sort-style-python/issues/153)) [[`431c361`](https://github.com/stormwarning/import-sort-style-python/commit/431c361)] \
  Upgrades all dev packages to their latest, and
  updates the eslint config to use the new
  `@typescript-eslint` parser & plugin.

<a name="0.2.4"></a>

## [0.2.4](https://github.com/stormwarning/import-sort-style-python/compare/v0.2.3...v0.2.4) — 2019-10-02

### Changed

- 📦 Upgrade devDependencies ([#94](https://github.com/stormwarning/import-sort-style-python/issues/94)) ([6586300](https://github.com/stormwarning/import-sort-style-python/commit/6586300)) \
  * Upgrade `prettier-eslint-cli` to 5.0.0
* Upgrade `eslint` to 5.16.0
* Upgrade `semantic-release` to 15.13.24
* Upgrade `typescript` to 3.6.3
* Upgrade `ts-node` to 8.4.1
* Upgrade `lint-staged` to 9.4.0
* Upgrade `@types/node` to 12.7.8
* Upgrade `husky` to 3.0.7
* Upgrade `lint-staged` to 9.4.1

<a name="0.2.3"></a>

## [0.2.3](https://github.com/stormwarning/import-sort-style-python/compare/v0.2.2...v0.2.3) — 2019-06-16

### Changed

- 👕 Update formatting from new eslint config ([11c6922](https://github.com/stormwarning/import-sort-style-python/commit/11c6922))
- 📦 Upgrade devDependencies ([#37](https://github.com/stormwarning/import-sort-style-python/issues/37)) ([fed7921](https://github.com/stormwarning/import-sort-style-python/commit/fed7921)), closes [#4](https://github.com/stormwarning/import-sort-style-python/issues/4) [#11](https://github.com/stormwarning/import-sort-style-python/issues/11) [#10](https://github.com/stormwarning/import-sort-style-python/issues/10) [#34](https://github.com/stormwarning/import-sort-style-python/issues/34) [#33](https://github.com/stormwarning/import-sort-style-python/issues/33) [#6](https://github.com/stormwarning/import-sort-style-python/issues/6) [#36](https://github.com/stormwarning/import-sort-style-python/issues/36) [#7](https://github.com/stormwarning/import-sort-style-python/issues/7) [#35](https://github.com/stormwarning/import-sort-style-python/issues/35)

<a name="0.2.2"></a>

## [0.2.2](https://github.com/stormwarning/import-sort-style-python/compare/v0.2.1...v0.2.2) — 2019-06-15

### Changed

- 📦 Bump `import-sort-style` from 5.0.0 to 6.0.0 ([#5](https://github.com/stormwarning/import-sort-style-python/issues/5)) ([b9cebb7](https://github.com/stormwarning/import-sort-style-python/commit/b9cebb7)) \
  Bumps [import-sort-style](https://github.com/renke/import-sort) from 5.0.0 to 6.0.0.
- [Release notes](https://github.com/renke/import-sort/releases)
- [Commits](https://github.com/renke/import-sort/compare/v5.0.0...v6.0.0)

Signed-off-by: dependabot[bot] <support@dependabot.com>

<a name="0.2.1"></a>

## [0.2.1](https://github.com/stormwarning/import-sort-style-python/compare/v0.2.0...v0.2.1) — 2018-11-10

### Changed

- 📦 Add semantic-release setup ([#1](https://github.com/stormwarning/import-sort-style-python/issues/1)) ([e169529](https://github.com/stormwarning/import-sort-style-python/commit/e169529)) \
  Adds `semantic-release` and custom preset packages, and a config file
for Travis CI. Also replaces `yorkie` with `husky` for git hooks.

## 0.2.0 — 2018-10-17

### Fixed

- Now actually reads `import-sort` config options and sorts accordingly
- No longer fails when options aren’t present

## 0.1.0 — 2018-10-16

### 🎉 Initial project release
